## spdx-licenses 3.8+dfsg

=== debian/changelog ===
spdx-licenses (3.8+dfsg-3) unstable; urgency=medium

  * friendly takeover;
    thanks for initiating this, Michael Lustfield

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Apr 2021 09:12:25 +0200

spdx-licenses (3.8+dfsg-2) unstable; urgency=medium

  * debian/copyright:
    + Update with note about license of license texts.
    + Append missing file suffix to appropriate files.
  * Clean up package description.

 -- Michael Lustfield <mtecknology@debian.org>  Tue, 31 Mar 2020 12:52:34 -0500

spdx-licenses (3.8+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #955001)

 -- Michael Lustfield <mtecknology@debian.org>  Tue, 31 Mar 2020 09:42:24 +0000

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s{[~+](?:ds|dfsg)\d*$}{},\
"  https://github.com/spdx/license-list-data/releases \
   .*/archive/v?(\d[\d.]+)\.tar\.gz

## spdx-licenses 3.21

=== Makefile ===
# SPDX-License-Identifier: CC0-1.0

TOOL_VERSION = 2.2.10
TEST_DATA = test/simpleTestForGenerator
GIT_AUTHOR = License Publisher (maintained by Gary O'Neall) <gary@sourceauditor.com>
GIT_AUTHOR_EMAIL = gary@sourceauditor.com
LICENSE_DATA_REPO_NO_SCHEME = github.com/spdx/license-list-data.git
LICENSE_DATA_REPO = https://$(LICENSE_DATA_REPO_NO_SCHEME)
LICENSE_DATA_URL = https://$(LICENSE_LIST_GITHUB_TOKEN)@$(LICENSE_DATA_REPO_NO_SCHEME)
LICENSE_OUTPUT_DIR = .tmp
GITVERSION = $(shell git describe --always --tags || echo 'UNKNOWN')
# Remove leading 'v' or 'V'
VERSION = $(subst V,,$(subst v,,$(GITVERSION)))
RELEASE_DATE = $(shell date '+%Y-%m-%d')
COMMIT_MSG = License list build $(VERSION) using license list publisher $(TOOL_VERSION)
RELEASE_MSG = Adding release matching the license list XML tag $(VERSION)
NUM_FILES_CHANGED = $(shell git diff --name-only $(INPUT_BASE_REF) $(GITHUB_SHA) | wc -l)
SOURCE_FILE_CHANGED = $(strip $(shell git diff --name-only $(INPUT_BASE_REF) $(GITHUB_SHA) | grep 'src/'))
NUM_SOURCE_FILE_CHANGED = $(shell git diff --name-only $(INPUT_BASE_REF) $(GITHUB_SHA) | grep 'src/' | wc -l)
LICENSE_SOURCE_DIR = src
LICENSE_SOURCE = $(strip $(if $(and $(or $(filter $(NUM_FILES_CHANGED),1), $(filter $(NUM_FILES_CHANGED),2)), $(filter $(NUM_SOURCE_FILE_CHANGED),1)), $(SOURCE_FILE_CHANGED), $(LICENSE_SOURCE_DIR)));
# these files are copied directly into the website directory
STATIC_FILES = equivalentwords.txt
STATIC_FILES_DEST = $(LICENSE_OUTPUT_DIR)/website/

.PHONY: validate-canonical-match
validate-canonical-match: licenseListPublisher-$(TOOL_VERSION).jar-valid $(TEST_DATA) $(LICENSE_OUTPUT_DIR)
	echo Validating source files from $(LICENSE_SOURCE)
	java -jar -DLocalFsfFreeJson=true -DlistedLicenseSchema="schema/ListedLicense.xsd" licenseListPublisher-$(TOOL_VERSION).jar LicenseRDFAGenerator '$(LICENSE_SOURCE:;=)' '$(LICENSE_OUTPUT_DIR)' 1.0 2000-01-01 $(TEST_DATA) expected-warnings

.PHONY: deploy-license-data
deploy-license-data: licenseListPublisher-$(TOOL_VERSION).jar-valid $(TEST_DATA)
	rm -rf '$(LICENSE_OUTPUT_DIR)'
	git clone --quiet --depth 1 $(LICENSE_DATA_URL) '$(LICENSE_OUTPUT_DIR)'
	# Clean out the old data directories
	find '$(LICENSE_OUTPUT_DIR)' -mindepth 1 -maxdepth 1 -name .git -prune -o -name .github -prune -o -type d -exec rm -rf {} \+
	rm -f $(LICENSE_OUTPUT_DIR)/licenses.md
	java -jar -DLocalFsfFreeJson=true -DlistedLicenseSchema="schema/ListedLicense.xsd" licenseListPublisher-$(TOOL_VERSION).jar LicenseRDFAGenerator '$(LICENSE_SOURCE_DIR)' '$(LICENSE_OUTPUT_DIR)' $(VERSION) $(RELEASE_DATE) $(TEST_DATA) expected-warnings
	$(foreach f, $(STATIC_FILES), cp ${f} $(STATIC_FILES_DEST);)
	git -C '$(LICENSE_OUTPUT_DIR)' add -A .
	git config user.email "$(GIT_AUTHOR_EMAIL)"
	git -C '$(LICENSE_OUTPUT_DIR)' commit --author "$(GIT_AUTHOR)" -m "$(COMMIT_MSG)"
	git -C '$(LICENSE_OUTPUT_DIR)' push origin

.PHONY: release-license-data
release-license-data: deploy-license-data
	if [[ $(VERSION) =~ .+-g[a-f0-9]{7} ]] ; then echo Can not release license data - license list version $(VERSION) does not match a release pattern ;  	exit 1 ; else ; git -C '$(LICENSE_OUTPUT_DIR)' tag -a $(VERSION) -m "$(RELEASE_MESSAGE)" ; git -C '$(LICENSE_OUTPUT_DIR)' push --tags --quiet origin ; fi

.PRECIOUS: licenseListPublisher-%.jar
licenseListPublisher-%.jar:
	curl -L https://repo1.maven.org/maven2/org/spdx/licenseListPublisher/$*/licenseListPublisher-$*-jar-with-dependencies.jar >$@

.PRECIOUS: licenseListPublisher-%.jar.asc
licenseListPublisher-%.jar.asc:
	curl -L https://repo1.maven.org/maven2/org/spdx/licenseListPublisher/$*/licenseListPublisher-$*-jar-with-dependencies.jar.asc >$@

.PHONY: licenseListPublisher-%.jar-valid
licenseListPublisher-%.jar-valid: licenseListPublisher-%.jar.asc licenseListPublisher-%.jar goneall.gpg
	gpg --verify --no-default-keyring --keyring ./goneall.gpg $<

$(LICENSE_OUTPUT_DIR):
	mkdir -p $@

resources:
	mkdir -p $@

.PHONY: clean
clean:
	rm -rf $(LICENSE_OUTPUT_DIR)

.PHONY: full-clean
full-clean: clean
	rm -rf resources licenseListPublisher-*.jar*

=== requirements.txt ===
# used for validate-schema.py
xmlschema

=== debian/changelog ===
spdx-licenses (3.21-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * fix use proper source; closes: bug#975120
  * update git-buildpackage config:
    enable tag signing;
    use DEP-14 git branches;
    enable automatic DEP-14 branch name handling;
    add usage config
  * override upstream build routines, requiring network access
  * adjust install file

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Sep 2024 22:00:49 +0200

=== debian/control ===
Source: spdx-licenses
Section: doc
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Vcs-Browser: https://github.com/Debian/spdx-licenses
Vcs-Git: https://github.com/Debian/spdx-licenses.git
Homepage: https://github.com/spdx/license-list-XML
Rules-Requires-Root: no

Package: spdx-licenses
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Collection of license data provided by SPDX Workgroup
 SPDX Licenses provides a collection of license texts which were assembled
 and provided by SPDX Workgroup, a Linux Foundaition Project. This package
 makes most of these license texts available to Debian systems.
 .
 Note: License texts have NOT been evaluated against DFSG.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# FIXME: upstream build requires network access
override_dh_auto_build:
override_dh_auto_install:

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/spdx/license-list-XML/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## spdx-licenses 3.27.0+ds

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 # SPDX-License-Identifier: CC0-1.0
 
-TOOL_VERSION = 2.2.10
+TOOL_VERSION = 3.1.1
 TEST_DATA = test/simpleTestForGenerator
+FULL_TEST_DATA = test/fullTestForGenerator
 GIT_AUTHOR = License Publisher (maintained by Gary O'Neall) <gary@sourceauditor.com>
 GIT_AUTHOR_EMAIL = gary@sourceauditor.com
 LICENSE_DATA_REPO_NO_SCHEME = github.com/spdx/license-list-data.git
@@ -24,18 +25,18 @@
 STATIC_FILES_DEST = $(LICENSE_OUTPUT_DIR)/website/
 
 .PHONY: validate-canonical-match
-validate-canonical-match: licenseListPublisher-$(TOOL_VERSION).jar-valid $(TEST_DATA) $(LICENSE_OUTPUT_DIR)
+validate-canonical-match: licenseListPublisher-$(TOOL_VERSION).jar-valid $(TEST_DATA) $(FULL_TEST_DATA) $(LICENSE_OUTPUT_DIR)
 	echo Validating source files from $(LICENSE_SOURCE)
-	java -jar -DLocalFsfFreeJson=true -DlistedLicenseSchema="schema/ListedLicense.xsd" licenseListPublisher-$(TOOL_VERSION).jar LicenseRDFAGenerator '$(LICENSE_SOURCE:;=)' '$(LICENSE_OUTPUT_DIR)' 1.0 2000-01-01 $(TEST_DATA) expected-warnings
+	java -jar -DLocalFsfFreeJson=true -DlistedLicenseSchema="schema/ListedLicense.xsd" licenseListPublisher-$(TOOL_VERSION).jar LicenseRDFAGenerator '$(LICENSE_SOURCE:;=)' '$(LICENSE_OUTPUT_DIR)' 1.0 2000-01-01 $(TEST_DATA) expected-warnings $(FULL_TEST_DATA)
 
 .PHONY: deploy-license-data
-deploy-license-data: licenseListPublisher-$(TOOL_VERSION).jar-valid $(TEST_DATA)
+deploy-license-data: licenseListPublisher-$(TOOL_VERSION).jar-valid $(TEST_DATA) $(FULL_TEST_DATA)
 	rm -rf '$(LICENSE_OUTPUT_DIR)'
 	git clone --quiet --depth 1 $(LICENSE_DATA_URL) '$(LICENSE_OUTPUT_DIR)'
 	# Clean out the old data directories
 	find '$(LICENSE_OUTPUT_DIR)' -mindepth 1 -maxdepth 1 -name .git -prune -o -name .github -prune -o -type d -exec rm -rf {} \+
 	rm -f $(LICENSE_OUTPUT_DIR)/licenses.md
-	java -jar -DLocalFsfFreeJson=true -DlistedLicenseSchema="schema/ListedLicense.xsd" licenseListPublisher-$(TOOL_VERSION).jar LicenseRDFAGenerator '$(LICENSE_SOURCE_DIR)' '$(LICENSE_OUTPUT_DIR)' $(VERSION) $(RELEASE_DATE) $(TEST_DATA) expected-warnings
+	java -jar -DLocalFsfFreeJson=true -DlistedLicenseSchema="schema/ListedLicense.xsd" licenseListPublisher-$(TOOL_VERSION).jar LicenseRDFAGenerator '$(LICENSE_SOURCE_DIR)' '$(LICENSE_OUTPUT_DIR)' $(VERSION) $(RELEASE_DATE) $(TEST_DATA) expected-warnings $(FULL_TEST_DATA)
 	$(foreach f, $(STATIC_FILES), cp ${f} $(STATIC_FILES_DEST);)
 	git -C '$(LICENSE_OUTPUT_DIR)' add -A .
 	git config user.email "$(GIT_AUTHOR_EMAIL)"

=== debian/changelog ===
spdx-licenses (3.27.0+ds-1) experimental; urgency=medium

  * update copyright info:
    + avoid any .git* files when repackaging upstream source
    + update coverage
    + use Reference: field
  * update git-buildpackage config:
    + filter out eventual debian subdir
    + stop superfluously filter out .git* files
    + improve usage comment
  * update watch file:
    + auto-mangle upstream version
    + stop mangle filename
    + use repack suffix +ds
  * update Vcs-* fields
  * stop superfluously set fields Rules-Requires-Root Priority
  * declare compliance with Debian Policy 4.7.3
  * use debhelper compatibility level 13

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Feb 2026 23:35:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: spdx-licenses
 Section: doc
-Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
-Vcs-Browser: https://github.com/Debian/spdx-licenses
-Vcs-Git: https://github.com/Debian/spdx-licenses.git
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.3
 Homepage: https://github.com/spdx/license-list-XML
-Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/spdx-licenses.git
+Vcs-Browser: https://salsa.debian.org/debian/spdx-licenses
 
 Package: spdx-licenses
 Architecture: all

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: spdx
Project: license-list-XML
Uversion-Mangle: auto
Dversion-Mangle: auto
Repacksuffix: +ds
